<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<script>
     //Task1
     var operand1 = +prompt("Введіть перше число");
            if((isNaN(operand1))){
                alert("Введіть число!");
            };
        var sign = prompt("Введіть математичну дію");
        if(!(sign == '+' || sign =='-'||sign == '*'||sign == '/')){
            alert("Дані операціїї не підтримуються");
        };

        var operand2 = +prompt("Введіть друге число");
        if(isNaN(operand2)){
            alert("Введіть число!");
        };

        function add(a, b) {
            return a + b;
        }

        function sub(a, b) {
            return a - b;
        }

        function mul(a, b) {
            return a * b;
        }

        function div(a, b) {
            return a / b;
        }
        
        switch (sign) {
            case "+":
                result = add(operand1, operand2);
                break;
            case "-":
                result = sub(operand1, operand2);
                break;
            case "*":
                result = mul(operand1, operand2);
                break;
            case "/":
                result = div(operand1, operand2);
                break;
            default:
                document.write("<p><b style='color:red'>" + sign + "</b> - Ви ввели некорректний знак математичної операції.</p>" + '<br/>');
        };

        if (result != undefined || result != NaN) {
            document.write("Результат операції: " + result + '<br/>');
        } else{
            document.write("Ви ввели невірні дані," + operand1 + "або" + operand2 + " не є числами!" + '<br/>')
        };
    
//Task2.
var number = +prompt("Введіть число");
var power = +prompt("Введіть степінь числа");
function powerOfNumber(x, y){
    return Math.pow(x,y);
}
result = powerOfNumber(number, power);
document.write("Результат дорівнює:" + result + '<br/>');

//Task3.
var userChoice = prompt("Що обираєте - камінь, ножиці чи папір?").toLowerCase();
document.write("Ваш вибір: " + userChoice + '<br/>');
var computerChoice = Math.random();
function game(){
if (computerChoice < 0.34) {
    computerChoice = "камінь";
} else if(computerChoice <= 0.67) {
    computerChoice = "ножиці";
} else {
    computerChoice = "папір";
};
document.write("Вибір компʼютера:" + computerChoice + '<br/>');

    if(userChoice == computerChoice){
        document.write ("Нічия" + '<br/>');
    } else if ((userChoice == "камінь" && computerChoice == "ножиці") || (userChoice == "папір" && computerChoice == "камінь") || (userChoice == "ножиці" && computerChoice == "папір")){
        document.write ("Ви перемогли!" + '<br/>');
    } else{
        document.write ("Ви програли :(" + '<br/>');
    };
};

game();

//Task4.
var n = +prompt("Введіть порядковий номер послідовності Фібоначчі, для отримання значення")
function fib(x) {
  var a = 0;
  var b = 1;
  if(x == 0){
    document.write(0);
  };
  if(x == 1)
  {
    document.write(1);
  };

  for (var i = 1; i <= n - 2; i++) {
    var c = a + b;
    a = b;
    b = c;
  }
  return b;
}
var result = fib(n);
document.write("Число, яке ви шукали за вказаним номером - " + result);
    
</script>
<body>
    
</body>
</html>